CREATE TABLE cmp_cwb_single_per_prc_data (
    SINGLE_PERSON_PROCESS_ID    NUMBER(18, 0) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    EFFECTIVE_DATE              DATE              NOT NULL,
    PLAN_ID                     NUMBER(18, 0)     NOT NULL,
    PERIOD_ID                   NUMBER(18, 0)     NOT NULL,
    PERSON_EVENT_ID             NUMBER(18, 0) ,
    PREV_PERSON_EVENT_ID        NUMBER(18, 0) ,
    PERSON_ID                   NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID               NUMBER(18, 0)     NOT NULL,
    BACKOUT_NEEDED_FLAG         VARCHAR2(4)   ,
    PERSON_NUMBER               VARCHAR2(120) ,
    ASSIGNMENT_NUMBER           VARCHAR2(200) ,
    JOB_ID                      NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    LEGAL_ENTITY_ID             NUMBER(18, 0) ,
    ELIG_FLAG                   VARCHAR2(4)   ,
    ESS_STATUS_CODE             VARCHAR2(120) ,
    PROCESS_STATUS_CODE         VARCHAR2(480) ,
    ERROR_MESSAGE               VARCHAR2(4000),
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    BUSINESS_UNIT_ID            NUMBER(18, 0) ,
    SUBMISSION_TIME             TIMESTAMP(6)  ,
    COMPLETION_TIME             TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SINGLE_PERSON_PROCESS_ID    NUMBER(18, 0) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    EFFECTIVE_DATE              DATE              NOT NULL,
    PLAN_ID                     NUMBER(18, 0)     NOT NULL,
    PERIOD_ID                   NUMBER(18, 0)     NOT NULL,
    PERSON_EVENT_ID             NUMBER(18, 0) ,
    PREV_PERSON_EVENT_ID        NUMBER(18, 0) ,
    PERSON_ID                   NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID               NUMBER(18, 0)     NOT NULL,
    BACKOUT_NEEDED_FLAG         VARCHAR2(4)   ,
    PERSON_NUMBER               VARCHAR2(120) ,
    ASSIGNMENT_NUMBER           VARCHAR2(200) ,
    JOB_ID                      NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    LEGAL_ENTITY_ID             NUMBER(18, 0) ,
    ELIG_FLAG                   VARCHAR2(4)   ,
    ESS_STATUS_CODE             VARCHAR2(120) ,
    PROCESS_STATUS_CODE         VARCHAR2(480) ,
    ERROR_MESSAGE               VARCHAR2(4000),
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    BUSINESS_UNIT_ID            NUMBER(18, 0) ,
    SUBMISSION_TIME             TIMESTAMP(6)  ,
    COMPLETION_TIME             TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_cmp_cwb_single_per_prc_data PRIMARY KEY (SINGLE_PERSON_PROCESS_ID, SINGLE_PERSON_PROCESS_ID)
);
